> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Apps List

> Returns Custom GPT's full instructions. GPT must call this at the start of each session, before any other action. Response JSON: {task, operations_list} where operations_list lists actions for app_execute_action.



## OpenAPI

````yaml get /api/mcp/apps_list
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/mcp/apps_list:
    get:
      tags:
        - MCP
      summary: Apps List
      description: >-
        Returns Custom GPT's full instructions. GPT must call this at the start
        of each session, before any other action. Response JSON: {task,
        operations_list} where operations_list lists actions for
        app_execute_action.
      operationId: mcp_apps_list
      parameters:
        - name: genai_app
          in: query
          required: true
          schema:
            type: string
            description: The name of the GenAI app.
            title: Genai App
          description: The name of the GenAI app.
        - name: app_type
          in: query
          required: false
          schema:
            type: string
            description: The type of the app ('mcp' or 'agent').
            default: mcp
            title: App Type
          description: The type of the app ('mcp' or 'agent').
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````